From 99e8c10faaa919167bc8c47a6f4c6048db1f3c49 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 26 Mar 2022 00:11:01 -0500
Subject: [PATCH 12/13] doc review: Add ALTER SUBSCRIPTION ... SKIP.

208c5d65bbd60e33e272964578cb74182ac726a8
---
 doc/src/sgml/logical-replication.sgml    | 6 +++---
 doc/src/sgml/ref/alter_subscription.sgml | 8 ++++----
 2 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index 555fbd749cc..f0d02c2d14c 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -363,13 +363,13 @@ CONTEXT:  processing remote data for replication origin "pg_16395" during "INSER
    The LSN of the transaction that contains the change violating the constraint and
    the replication origin name can be found from the server log (LSN 0/14C0378 and
    replication origin <literal>pg_16395</literal> in the above case).  The
-   transaction that produces conflict can be skipped by using
+   transaction that produced the conflict can be skipped by using
    <command>ALTER SUBSCRIPTION ... SKIP</command> with the finish LSN
    (i.e., LSN 0/14C0378).  The finish LSN could be an LSN at which the transaction
    is committed or prepared on the publisher.  Alternatively, the transaction can
    also be skipped by calling the <link linkend="pg-replication-origin-advance">
    <function>pg_replication_origin_advance()</function></link> function
-   transaction.  Before using this function, the subscription needs to be disabled
+   XXX? transaction.  Before using this function, the subscription needs to be disabled
    temporarily either by <command>ALTER SUBSCRIPTION ... DISABLE</command> or, the
    subscription can be used with the <literal>disable_on_error</literal> option.
    Then, you can use <function>pg_replication_origin_advance()</function> function
@@ -377,7 +377,7 @@ CONTEXT:  processing remote data for replication origin "pg_16395" during "INSER
    and the next LSN of the finish LSN (i.e., 0/14C0379).  The current position of
    origins can be seen in the <link linkend="view-pg-replication-origin-status">
    <structname>pg_replication_origin_status</structname></link> system view.
-   Please note that skipping the whole transaction include skipping changes that
+   Please note that skipping the whole transaction includes skipping changes that
    might not violate any constraint.  This can easily make the subscriber
    inconsistent.
   </para>
diff --git a/doc/src/sgml/ref/alter_subscription.sgml b/doc/src/sgml/ref/alter_subscription.sgml
index 7c5203b6d3b..353ea5def23 100644
--- a/doc/src/sgml/ref/alter_subscription.sgml
+++ b/doc/src/sgml/ref/alter_subscription.sgml
@@ -219,13 +219,13 @@ ALTER SUBSCRIPTION <replaceable class="parameter">name</replaceable> RENAME TO <
      <para>
       Skips applying all changes of the remote transaction.  If incoming data
       violates any constraints, logical replication will stop until it is
-      resolved.  By using <command>ALTER SUBSCRIPTION ... SKIP</command> command,
+      resolved.  By using the <command>ALTER SUBSCRIPTION ... SKIP</command> command,
       the logical replication worker skips all data modification changes within
       the transaction.  This option has no effect on the transactions that are
       already prepared by enabling <literal>two_phase</literal> on
       subscriber.
-      After logical replication worker successfully skips the transaction or
-      finishes a transaction, LSN (stored in
+      After the logical replication worker successfully skips the transaction or
+      finishes a transaction, the LSN (stored in
       <structname>pg_subscription</structname>.<structfield>subskiplsn</structfield>)
       is cleared.  See <xref linkend="logical-replication-conflicts"/> for
       the details of logical replication conflicts.  Using this command requires
@@ -244,7 +244,7 @@ ALTER SUBSCRIPTION <replaceable class="parameter">name</replaceable> RENAME TO <
           Specifies the finish LSN of the remote transaction whose changes
           are to be skipped by the logical replication worker.  The finish LSN
           is the LSN at which the transaction is either committed or prepared.
-          Skipping individual subtransaction is not supported.  Setting
+          Skipping individual subtransactions is not supported.  Setting
           <literal>NONE</literal> resets the LSN.
          </para>
         </listitem>
-- 
2.17.1

